// Programme principal
recup("locavelo.php");

// Les fonctions utilisées :

//// Récupération des données de la base avec FETCH
function recup(lephp) {
	fetch(lephp) // Accès Fetch au php sans recharger la page html
	.then( response => response.json()) // Premier traitement : décodage Json
	.then( data => {
		// Si ok 2e traitement : appel fonction avec tableau resultat (e) => { // Le travail à efectuer
		console.log(data); // Affichage dans F12
		let sel = creerSelect(data); // Création de l'élément <SELECT>
		document.getElementById("info").appendChild(sel); // Ajout du Select au document
	});
}

//// Transformation du résultat en affichage HTML avec une balise <SELECT>
function creerSelect(liste) {
	var sel = document.createElement("select"); // Nouvelle balise SELECT
	
	liste.forEach ( (colonne) => { // Pour chaque ligne du tableau
		var opt = document.createElement("option"); // Nouvell option de Select
		opt.value = colonne[0];  // Colonne 0 (l'index)
		opt.text = colonne[1]; // Colonne 1
		if ( colonne[2] ) opt.text += " (" + colonne[1] + ")"; // Ajout éventuel de la colonne 2
		sel.add(opt); // Ajout de l'option au Select
	}); // Fin du foreach
	
	return sel;
}